::d2x-beta.bat should be saved here in order for ModMii v4.6.0+ to use it: modules\More-cIOSs\{ANY FOLDER NAME}\d2x-beta.bat

::--------update what comes after "d2x-beta-rev=" and "ciosversion=" below----------
::"magicword" should be contained in this file for modmii to not check for updates or enable legacy cIOS build mode (effective v7.0.3+)
set ciosversion=21007
::must be <=65535
::if ciosversion above is different from version in ciosmaps.xml, then ModMii v6.5.2 or higher required to build it successfully

set d2x-beta-rev=7-final
::This info is used to sign *00.app file for cIOS detection, everything after "=" but before the first "-" is considered the version # and it must be a number! Good examples are "5-beta1-test1" or "5" or "999". Bad examples are "5beta1" or "five-beta1" or "-5-beta1"
::everything after the first "-" is considered the version string (limited by 16 chars) and it only recognizes letters, numbers and + - _ ( ) [ ]
::5 chars of version string is used up if ciosmaps_vWii.xml exists to append "-vWii" to tag, so version string limit is actually 11 chars if vWii is supported


set cIOSFamilyName=d2x
::Only change this if building a cIOS that isn't a "d2x" branded cIOS. This string is limited by 16 chars and it only recognizes letters, numbers and + - _ ( ) [ ]


if "%wadname%"=="" goto:endofd2xbat

::------------------------Section to update (below)--------------------
::here you should enter the new beta cIOS hashes (under the OLD non-beta "wadname")
::d2x-beta-md5-updater.bat can be used to help update hashes
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5=b0a4f22cb94c782ee0bcc57ba85169c5
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5=9fc6c027f8d9e7ed46ac37e62ada8846
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5=9caeafc3b0d157cfcd7e42f2069abcb7
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5=80d3b1aed13f8f7addc9fb3aface9dfe
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5=369160fcee28a40cef1511b0817ce81d
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5=3461aaaefea9a93c0cf16787828dde01
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5=f4eeeb5c64fa598a63363db8fdc5dbe7
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5=3976a3a457f5095cd055a99ab5a6684d
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5=8c22bc33af8c7cefd513e7136d79148f
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5=c670c3288a3240d76bd2de3bddb57bc0
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5=53075c217dd9cc6d4a3ab10b7745cf76
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5=0eaa45eb9b2f3379e39a9bae106e73c0
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5=9dacbe4e7756f297b80f368394335729
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5=d80c531e1f6537d9ad4381a87a94e3d4
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5=37c2b0f9f642b9a125e39ce2496d7725
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5=c53c7b7c948b60f4d867eb3f1661bdc8
::two sets of md5s for legacy wad(mii) packer support
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5alt=4c0c7a67c67dd01eef2011c4ae06d8a9
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5alt=201ce93cfc211ff0984be0a03e2dfc69
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5alt=18f636d785a6b79ffd9c91abdf09f2a4
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5alt=4561cac0d1157c175bc3685450ad85f9
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5alt=d7baaca4591ccf634664c88472a7060c
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5alt=cc05e14a345b747d4782c0498915fc63
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5alt=4fd736b0fff5af0b0946bca109d488cd
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5alt=e747bf917cfcf2163ffb2dfe5e08a944
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5alt=32549e2004b69aa42ad8f6653e7a4002
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5alt=a8076b46f9dd307f4fb8865467e20a3a
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5alt=72b267e61ac7a1e299d1abba4f0a1aca
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5alt=088768e16535e5be4f238db3a0fb98ac
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5alt=8a9b89381dec189c231b99b11861dbf3
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5alt=15e379786a73ac3751b41003655cea3d
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5alt=5b7e779d99c6572b4944f3b197ebe5e0
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5alt=4a4bb87fe36cb59af1ef61a0df17796f
::------------------------Section to update (above)--------------------

::----------Additional Instructions---------------
::save any of the following beta files to the following directory
::if any of the following is not found, the standard d2x module used in the previous ModMii release will continue to be used
::modules\More-cIOSs\{ANY FOLDER NAME}\mload.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FAT.app
::modules\More-cIOSs\{ANY FOLDER NAME}\SDHC.app
::modules\More-cIOSs\{ANY FOLDER NAME}\EHCI.app
::modules\More-cIOSs\{ANY FOLDER NAME}\USBS.app
::modules\More-cIOSs\{ANY FOLDER NAME}\DIPP.app
::modules\More-cIOSs\{ANY FOLDER NAME}\ES.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FFSP.app
::------------------------------------------------------

::set md5alt=%md5%

::change some variables
set wadname=%wadname:~0,17%%d2x-beta-rev%
if /i "%name:~0,17%" NEQ "Advanced Download" set name=%wadname%

:endofd2xbat 

